# Events

| Name                 | Description                                                                                                                                                                                            |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| QlmActivate          | This event is triggered when the user activates the license. Details about the success of the activation as well as the keys that were activated can be retrieved from the ActivateEventArgs argument. |
| QlmClose             | This event is triggered when the user clicks the Close button. You would typically need to implement this event to close the Form that is hosting this .NET control.                                   |
| QlmOfflineActivation | This event is triggered when the user clicks the Offline activation radio button.                                                                                                                      |
| QlmReadKeys          | This event is triggered when the control tries to read the keys from the system. You can set this event to implement your own way of reading keys.                                                     |
| QlmWriteKeys         | This event is triggered when the control tries to write the keys to the system. You can set this event to implement your own way of writing keys.                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/activation-user-control/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
